创建 macOSWiFiConfiguration
命名空间:microsoft.graph
重要提示: Microsoft Graph /beta 版本下的 API 可能会更改;不支持生产使用。
注意: 适用于 Intune 的 Microsoft Graph API 需要适用于租户的 活动 Intune 许可证。
创建新的 macOSWiFiConfiguration 对象。
先决条件
要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限。
| 权限类型 | 权限(从最低特权到最高特权) |
|---|---|
| 委派(工作或学校帐户) | DeviceManagementConfiguration.ReadWrite.All |
| 委派(个人 Microsoft 帐户) | 不支持。 |
| 应用程序 | DeviceManagementConfiguration.ReadWrite.All |
HTTP 请求
POST /deviceManagement/deviceConfigurations
POST /deviceManagement/deviceConfigurations/{deviceConfigurationId}/microsoft.graph.windowsDomainJoinConfiguration/networkAccessConfigurations
请求标头
| 标头 | 值 |
|---|---|
| Authorization | Bearer <token>。必需。 |
| 接受 | application/json |
请求正文
在请求正文中,提供 macOSWiFiConfiguration 对象的 JSON 表示形式。
下表显示创建 macOSWiFiConfiguration 时所需的属性。
| 属性 | 类型 | 说明 |
|---|---|---|
| id | String | 实体的键。 继承自 deviceConfiguration |
| lastModifiedDateTime | DateTimeOffset | 上次修改对象的日期/时间。 继承自 deviceConfiguration |
| roleScopeTagIds | 字符串集合 | 此实体实例的范围标记列表。 继承自 deviceConfiguration |
| supportsScopeTags | Boolean | 指示基础设备配置是否支持分配范围标记。 当此值为 false 且实体对范围用户不可见时,不允许分配给 ScopeTags 属性。 这适用于在 Silverlight 中创建的旧版策略,可通过在 Azure 门户中删除和重新创建策略来解决。 此属性是只读的。 继承自 deviceConfiguration |
| deviceManagementApplicabilityRuleOsEdition | deviceManagementApplicabilityRuleOsEdition | 此策略的操作系统版本适用性。 继承自 deviceConfiguration |
| deviceManagementApplicabilityRuleOsVersion | deviceManagementApplicabilityRuleOsVersion | 此策略的操作系统版本适用性规则。 继承自 deviceConfiguration |
| deviceManagementApplicabilityRuleDeviceMode | deviceManagementApplicabilityRuleDeviceMode | 此策略的设备模式适用性规则。 继承自 deviceConfiguration |
| createdDateTime | DateTimeOffset | 创建对象的日期/时间。 继承自 deviceConfiguration |
| 说明 | String | 管理员提供的设备配置的说明。 继承自 deviceConfiguration |
| displayName | String | 管理员提供的设备配置的名称。 继承自 deviceConfiguration |
| version | Int32 | 设备配置的版本。 继承自 deviceConfiguration |
| networkName | String | 网络名称 |
| ssid | String | 这是广播到所有Wi-Fi网络的名称。 |
| connectAutomatically | Boolean | 连接网络在范围内时自动运行。 如果设置为 true,将跳过用户提示,并自动将设备Wi-Fi网络。 |
| connectWhenNetworkNameIsHidden | Boolean | 连接网络不通过 SSID 广播其名称时 (SSID) 。 设置为 true 时,此配置文件会强制设备连接到未将其 SSID 广播到所有设备的网络。 |
| wiFiSecurityType | wiFiSecurityType | 指示Wi-Fi是否使用基于 EAP 的安全类型。 可取值为:open、wpaPersonal、wpaEnterprise、wep、wpa2Personal、wpa2Enterprise。 |
| proxySettings | wiFiProxySetting | 此连接代理Wi-Fi类型。 可取值为:none、manual、automatic。 |
| proxyManualAddress | String | 选择手动配置时代理服务器的 IP 地址或 DNS 主机名。 |
| proxyManualPort | Int32 | 选择手动配置时代理服务器的端口。 |
| proxyAutomaticConfigurationUrl | String | 选择自动配置时代理服务器自动配置脚本的 URL。 此 URL 通常是 PAC 代理自动配置 (文件) 位置。 |
| preSharedKey | String | 这是 WPA 个人共享网络的预共享Wi-Fi密钥。 |
响应
如果成功,此方法在响应 201 Created 正文中返回 响应 代码和 macOSWiFiConfiguration 对象。
示例
请求
下面是一个请求示例。
POST https://graph.microsoft.com/beta/deviceManagement/deviceConfigurations
Content-type: application/json
Content-length: 1450
{
"@odata.type": "#microsoft.graph.macOSWiFiConfiguration",
"roleScopeTagIds": [
"Role Scope Tag Ids value"
],
"supportsScopeTags": true,
"deviceManagementApplicabilityRuleOsEdition": {
"@odata.type": "microsoft.graph.deviceManagementApplicabilityRuleOsEdition",
"osEditionTypes": [
"windows10EnterpriseN"
],
"name": "Name value",
"ruleType": "exclude"
},
"deviceManagementApplicabilityRuleOsVersion": {
"@odata.type": "microsoft.graph.deviceManagementApplicabilityRuleOsVersion",
"minOSVersion": "Min OSVersion value",
"maxOSVersion": "Max OSVersion value",
"name": "Name value",
"ruleType": "exclude"
},
"deviceManagementApplicabilityRuleDeviceMode": {
"@odata.type": "microsoft.graph.deviceManagementApplicabilityRuleDeviceMode",
"deviceMode": "sModeConfiguration",
"name": "Name value",
"ruleType": "exclude"
},
"description": "Description value",
"displayName": "Display Name value",
"version": 7,
"networkName": "Network Name value",
"ssid": "Ssid value",
"connectAutomatically": true,
"connectWhenNetworkNameIsHidden": true,
"wiFiSecurityType": "wpaPersonal",
"proxySettings": "manual",
"proxyManualAddress": "Proxy Manual Address value",
"proxyManualPort": 15,
"proxyAutomaticConfigurationUrl": "https://example.com/proxyAutomaticConfigurationUrl/",
"preSharedKey": "Pre Shared Key value"
}
响应
下面是一个响应示例。注意:为了简单起见,可能会将此处所示的响应对象截断。将从实际调用中返回所有属性。
HTTP/1.1 201 Created
Content-Type: application/json
Content-Length: 1622
{
"@odata.type": "#microsoft.graph.macOSWiFiConfiguration",
"id": "471203fb-03fb-4712-fb03-1247fb031247",
"lastModifiedDateTime": "2017-01-01T00:00:35.1329464-08:00",
"roleScopeTagIds": [
"Role Scope Tag Ids value"
],
"supportsScopeTags": true,
"deviceManagementApplicabilityRuleOsEdition": {
"@odata.type": "microsoft.graph.deviceManagementApplicabilityRuleOsEdition",
"osEditionTypes": [
"windows10EnterpriseN"
],
"name": "Name value",
"ruleType": "exclude"
},
"deviceManagementApplicabilityRuleOsVersion": {
"@odata.type": "microsoft.graph.deviceManagementApplicabilityRuleOsVersion",
"minOSVersion": "Min OSVersion value",
"maxOSVersion": "Max OSVersion value",
"name": "Name value",
"ruleType": "exclude"
},
"deviceManagementApplicabilityRuleDeviceMode": {
"@odata.type": "microsoft.graph.deviceManagementApplicabilityRuleDeviceMode",
"deviceMode": "sModeConfiguration",
"name": "Name value",
"ruleType": "exclude"
},
"createdDateTime": "2017-01-01T00:02:43.5775965-08:00",
"description": "Description value",
"displayName": "Display Name value",
"version": 7,
"networkName": "Network Name value",
"ssid": "Ssid value",
"connectAutomatically": true,
"connectWhenNetworkNameIsHidden": true,
"wiFiSecurityType": "wpaPersonal",
"proxySettings": "manual",
"proxyManualAddress": "Proxy Manual Address value",
"proxyManualPort": 15,
"proxyAutomaticConfigurationUrl": "https://example.com/proxyAutomaticConfigurationUrl/",
"preSharedKey": "Pre Shared Key value"
}
反馈
提交和查看相关反馈